! Scenario replication for
! Modeling the Biological Mechanisms that Determine the Dynamics of Stress Response of the Human Body
! Gizem Aktas & Yaman Barlas
! ISDC 2018

! note: model should already be loaded (alone) before running script

SPECIAL>NOINTERACTION

SIMULATE>READCIN|

! Trier Social Stimulus Test
! single episode
SIMULATE>RUNNAME|TSST 8
SIMULATE>SETVAL|Base Stress Level=12
MENU>RUN|o

! Daily stress
SIMULATE>RUNNAME|Daily Stress 8
SIMULATE>SETVAL|Base Stress Level=12
! stress ends day ten, producing 10 episodes
SIMULATE>SETVAL|Stress End=10.5
MENU>RUN|o

! 3-day stress
SIMULATE>RUNNAME|3 Day Stress 8
SIMULATE>SETVAL|Base Stress Level=12
SIMULATE>SETVAL|Stress Interval Days=3
SIMULATE>SETVAL|Stress End=30.5
MENU>RUN|o

! Probable Depression
SIMULATE>RUNNAME|Probable Depression 8
SIMULATE>SETVAL|Base Stress Level=50
MENU>RUN|o


! Earlier stress experience
SIMULATE>RUNNAME|Earlier Stress 8
SIMULATE>SETVAL|Early Stress Level=50
SIMULATE>SETVAL|Base Stress Level=12
SIMULATE>SETVAL|Stress Interval Days=30
SIMULATE>SETVAL|Stress End=60.5
SIMULATE>SETVAL|FINAL TIME=1000
MENU>RUN|o


! Base run
SIMULATE>RUNNAME|No Stress 8
MENU>RUN|o

! Prep for manual exploration
SIMULATE>RUNNAME|test
SIMULATE>READCIN|Daily Stress.cin
